gsw_rho_first_derivatives {gsw} | R Documentation

## Density First Derivatives wrt SA, CT and p (75-term equation)

### Description

Density First Derivatives wrt SA, CT and p (75-term equation)

### Usage

    gsw_rho_first_derivatives(SA, CT, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

list containing drho_dSA [ kg^2/(g m^3) ], drho_dCT [ kg/(K m^3) ] and drho_dp [ kg/(Pa m^3) ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_rho_first_derivatives.html

### See Also

Other things related to density: `gsw_CT_from_rho`, `gsw_CT_maxdensity`, `gsw_SA_from_rho`, `gsw_alpha_on_beta`, `gsw_alpha_wrt_t_exact`, `gsw_alpha_wrt_t_ice`, `gsw_alpha`, `gsw_beta_const_t_exact`, `gsw_beta`, `gsw_pot_rho_t_exact`, `gsw_rho_alpha_beta`, `gsw_rho_first_derivatives_wrt_enthalpy`, `gsw_rho_ice`, `gsw_rho_t_exact`, `gsw_rho`, `gsw_sigma0`, `gsw_sigma1`, `gsw_sigma2`, `gsw_sigma3`, `gsw_sigma4`, `gsw_specvol_alpha_beta`, `gsw_specvol_anom_standard`, `gsw_specvol_ice`, `gsw_specvol_t_exact`, `gsw_specvol`

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(28.8099, 28.4392, 22.7862, 10.2262,  6.8272,  4.3236)
    p <- c(      10,      50,     125,     250,     600,    1000)
    r <- gsw_rho_first_derivatives(SA, CT, p)
    expect_equal(r$drho_dSA, c(0.733153791778356, 0.733624109867480, 0.743950957375504,
                               0.771357282286743, 0.777581141431288, 0.781278296628328))
    expect_equal(r$drho_dCT, c(-0.331729027977015, -0.329838643311336, -0.288013324730644,
                               -0.178012962919839, -0.150654632545556, -0.133556437868984))
    expect_equal(r$drho_dp, 1e-6*c(0.420302360738476, 0.420251070273888, 0.426773054953941,
                                   0.447763615252861, 0.452011501791479, 0.454118117103094))

[Package gsw version 1.0-5 Index]